uses
  SysUtils;

var
  i,j,k:longint;
  n:longint;
  a:array[1..100]of longint;

begin
assign(input,'g.in');
reset(input);
close(input);



assign(output,'g.out');
rewrite(output);
write('TOO MANY');
close(output);
end.
